Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Aaron Jensen <[email-masked]>
Date: Wed, 29 Jan 2020 17:40:52 -0800

On Wed, Jan 29, 2020 at 12:04 PM Alan Third <[email-masked]> wrote:
>
> On Wed, Jan 29, 2020 at 08:32:25AM -0800, Aaron Jensen wrote:
> > On Wed, Jan 29, 2020 at 2:08 AM Alan Third <[email-masked]> wrote:
> > >
> > > Hi Aaron, just as a test can you try disabling powerline?
> >
> > Hi Alan, I don't use powerline, I use doom-modeline and disabling it
> > has no effect.
> >
> > I actually have worse news. My original test was actually with an
> > unoptimized 27, as I forgot to actually run make (sigh). With 28, on
> > my 4k display, Emacs is unusable even with the modeline disabled. My
> > frame is only on about 3/5s of the screen, so it's not even taking up
> > the entire 4k. The latency on every paint is probably in the 200-400ms
> > range. I haven't measured it, but that's what it feels like.
>
> Really it shouldn’t be slow for updating relatively small areas, so if
> every paint is that slow then we’ve got real trouble.
>
> Do you use a transparent background in Emacs?

No

>
> Can you try applying these three changes, and see if they make any
> difference. I’d like you to try the first two both with and without
> the third.

With regard to scrolling (full repaints) they make no difference,
which you likely suspected. These are my scroll-up-benchmark times for
one of my .org files:

Emacs 27: 2.6s

Emacs 28
No patches: 13.0s
First 2: 13.2s
All 3: 13.8s

In terms of just repainting when I move the point, applying the first
2 patches made a noticeable difference. It is still sluggish compared
to 27. I'm not sure I can tell a difference with the 3rd patch applied
as well. It seems similar or maybe slightly faster.

Aaron